Skip to main content
GET
/
v1
/
groups
/
{groupId}
/
custom-fields
/
{entityType}
List group custom fields
curl --request GET \
  --url https://api.folk.app/v1/groups/{groupId}/custom-fields/{entityType} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "name": "Status",
        "type": "singleSelect",
        "options": [
          {
            "label": "Active",
            "color": "#ffffff"
          },
          {
            "label": "Inactive",
            "color": "#000000"
          }
        ]
      },
      {
        "name": "Total Revenue",
        "type": "numericField",
        "config": {
          "format": "currency",
          "currency": "USD"
        }
      },
      {
        "name": "Details",
        "type": "textField"
      },
      {
        "name": "Tags",
        "type": "multipleSelect",
        "options": [
          {
            "label": "Tag 1",
            "color": "#ffffff"
          },
          {
            "label": "Tag 2",
            "color": "#000000"
          }
        ]
      },
      {
        "name": "Relationships",
        "type": "contactField"
      },
      {
        "name": "Date",
        "type": "dateField"
      },
      {
        "name": "Assigned to",
        "type": "userField"
      },
      {
        "name": "Deals",
        "type": "objectField"
      }
    ],
    "pagination": {
      "nextLink": "https://api.folk.app/v1/groups/grp_bc984b3f-0386-434d-82d7-a91eb6badd71/custom-fields/person?limit=20&cursor=eyJvZmZzZXQiOjIwfQ%3D%3D"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.folk.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication

Path Parameters

groupId
string
required

The identifier of the group. You can retrieve a list of group identifiers using the /v1/groups endpoint.

Required string length: 40
entityType
string
required

The entity type the custom fields belong to. It can be person, company, or a custom object name.

Maximum string length: 500

Query Parameters

limit
integer
default:20

The number of items to return.

Required range: 1 <= x <= 100
cursor
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.

Maximum string length: 128

Response

A paginated list of group custom fields for an entity type. The data.items field contains the list of group custom fields, and the data.pagination.nextLink field contains a link to the next page of results, if available.

data
object
required
Example:
{
"items": [
{
"name": "Status",
"type": "singleSelect",
"options": [
{ "label": "Active", "color": "#ffffff" },
{ "label": "Inactive", "color": "#000000" }
]
},
{
"name": "Total Revenue",
"type": "numericField",
"config": { "format": "currency", "currency": "USD" }
},
{ "name": "Details", "type": "textField" },
{
"name": "Tags",
"type": "multipleSelect",
"options": [
{ "label": "Tag 1", "color": "#ffffff" },
{ "label": "Tag 2", "color": "#000000" }
]
},
{
"name": "Relationships",
"type": "contactField"
},
{ "name": "Date", "type": "dateField" },
{
"name": "Assigned to",
"type": "userField"
},
{ "name": "Deals", "type": "objectField" }
],
"pagination": {
"nextLink": "https://api.folk.app/v1/groups/grp_bc984b3f-0386-434d-82d7-a91eb6badd71/custom-fields/person?limit=20&cursor=eyJvZmZzZXQiOjIwfQ%3D%3D"
}
}
deprecations
string[]
Example:
["This field is deprecated"]